-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local wheel_L
local wheel_R





local function init(jbeamData)

   electrics.values.wheelbrakes = 0
   for _, wd in ipairs(wheels.wheelRotators) do
      if wd.name == "LW" then wheel_L = wd end
      if wd.name == "RW" then wheel_R = wd end
     
  end

end

local function updateWheelsIntermediate(dt)

  if wheel_L then wheel_L.desiredBrakingTorque = 10000 * electrics.values.wheelbrakes end


  if wheel_R then wheel_R.desiredBrakingTorque = 10000 * electrics.values.wheelbrakes end


 
  
  

end




M.init = init
M.updateWheelsIntermediate = updateWheelsIntermediate


return M
